diff --git a/doc/sudoers.cat b/doc/sudoers.cat
index a4bcdbe36..63e1ab3e4 100644
--- a/doc/sudoers.cat
+++ b/doc/sudoers.cat
@@ -942,7 +942,11 @@ SSUUDDOOEERRSS OOPPTTIIOONNSS
                        alternative is to place a colon-separated list of
                        editors in the editor variable.  vviissuuddoo will then only
                        use the EDITOR or VISUAL if they match a value
-                       specified in editor.  This flag is _o_f_f by default.
+                       specified in editor.  If the _e_n_v___r_e_s_e_t flag is enabled,
+                       the EDITOR and/or VISUAL environment variables must be
+                       present in the _e_n_v___k_e_e_p list for the _e_n_v___e_d_i_t_o_r flag to
+                       function when vviissuuddoo is invoked via ssuuddoo.  This flag is
+                       _o_f_f by default.
 
      env_reset         If set, ssuuddoo will run the command in a minimal
                        environment containing the TERM, PATH, HOME, MAIL,
@@ -1413,9 +1417,12 @@ SSUUDDOOEERRSS OOPPTTIIOONNSS
 
      editor            A colon (`:') separated list of editors allowed to be
                        used with vviissuuddoo.  vviissuuddoo will choose the editor that
-                       matches the user's EDITOR environment variable if
-                       possible, or the first editor in the list that exists
-                       and is executable.  The default is _v_i.
+                       matches the user's EDITOR or VISUAL environment
+                       variable if possible, or the first editor in the list
+                       that exists and is executable.  Note that the EDITOR
+                       and VISUAL environment variables are not preserved by
+                       default when the _e_n_v___r_e_s_e_t option is enabled.  The
+                       default is _v_i.
 
      iolog_dir         The top-level directory to use when constructing the
                        path name for the input/output log directory.  Only
@@ -2532,4 +2539,4 @@ DDIISSCCLLAAIIMMEERR
      file distributed with ssuuddoo or https://www.sudo.ws/license.html for
      complete details.
 
-Sudo 1.8.16                    January 20, 2016                    Sudo 1.8.16
+Sudo 1.8.17                    January 20, 2016                    Sudo 1.8.17
diff --git a/doc/sudoers.man.in b/doc/sudoers.man.in
index 1313d2838..1703faad7 100644
--- a/doc/sudoers.man.in
+++ b/doc/sudoers.man.in
@@ -2015,6 +2015,20 @@ or
 \fRVISUAL\fR
 if they match a value specified in
 \fReditor\fR.
+If the
+\fIenv_reset\fR
+flag is enabled, the
+\fREDITOR\fR
+and/or
+\fRVISUAL\fR
+environment variables must be present in the
+\fIenv_keep\fR
+list for the
+\fIenv_editor\fR
+flag to function when
+\fBvisudo\fR
+is invoked via
+\fBsudo\fR.
 This flag is
 \fI@env_editor@\fR
 by default.
@@ -2975,8 +2989,17 @@ separated list of editors allowed to be used with
 \fBvisudo\fR
 will choose the editor that matches the user's
 \fREDITOR\fR
+or
+\fRVISUAL\fR
 environment variable if possible, or the first editor in the
 list that exists and is executable.
+Note that the
+\fREDITOR\fR
+and
+\fRVISUAL\fR
+environment variables are not preserved by default when the
+\fIenv_reset\fR
+option is enabled.
 The default is
 \fI@editor@\fR.
 .TP 18n
diff --git a/doc/sudoers.mdoc.in b/doc/sudoers.mdoc.in
index 0d33690d6..de75b8ca3 100644
--- a/doc/sudoers.mdoc.in
+++ b/doc/sudoers.mdoc.in
@@ -1884,6 +1884,20 @@ or
 .Ev VISUAL
 if they match a value specified in
 .Li editor .
+If the
+.Em env_reset
+flag is enabled, the 
+.Ev EDITOR
+and/or
+.Ev VISUAL
+environment variables must be present in the
+.Em env_keep
+list for the
+.Em env_editor
+flag to function when
+.Nm visudo
+is invoked via
+.Nm sudo .
 This flag is
 .Em @env_editor@
 by default.
@@ -2792,8 +2806,17 @@ separated list of editors allowed to be used with
 .Nm visudo
 will choose the editor that matches the user's
 .Ev EDITOR
+or
+.Ev VISUAL
 environment variable if possible, or the first editor in the
 list that exists and is executable.
+Note that the
+.Ev EDITOR
+and
+.Ev VISUAL
+environment variables are not preserved by default when the
+.Em env_reset
+option is enabled.
 The default is
 .Pa @editor@ .
 .It iolog_dir
